pencilMove funds

Move balance between accounts

post

Transfers funds between your Proprietary (Owner) account and your Transactional account.

Header parameters
Content-TypestringRequiredDefault: application/json
X-DatestringRequired

ISO8601 Datetime with Timezone: yyyy-MM-dd'T'HH:mm:ssZ

Example: 2025-12-03T08:38:02.153Z
X-LoginstringRequired

Merchant X-Login API Key

AuthorizationstringRequired

Authorization control hash (Signature)

X-Idempotency-Keystring · uuidRequired

Unique key to prevent duplicate transactions

Body
sourcestring · enumRequired

The account funds are being taken from.

Example: TRANSACTIONALPossible values:
destinationstring · enumRequired

The account funds are being sent to.

Example: PROPRIETARYPossible values:
currencystringRequired

3-letter ISO currency code.

Example: BRL
amountnumber · floatRequired

The value to transfer.

Example: 100.5
Responses
chevron-right
200

Successful Transfer

application/json
currencystringOptionalExample: BRL
proprietary_balancenumber · floatOptional

The new total balance of the Proprietary account.

Example: 1500
transactional_balancenumber · floatOptional

The new total balance of the Transactional account.

Example: 250
post
/v1/wallet/transaction
200

Successful Transfer

Last updated

Was this helpful?